#include <Arduino.h>
#include <M5Unified.h>

#define PIN 19 // 赤色LED G19

void setup() {
  auto cfg = M5.config();
  M5.begin(cfg);
  M5.Display.setRotation(3);

  pinMode(PIN, OUTPUT); // PINのモード設定

  M5.Display.setRotation(3); //横向き
  M5.Display.setFont(&fonts::lgfxJapanGothic_16);
  M5.Display.println("led01 (LEDが点滅するデモ)");
  M5.Display.setTextScroll(true);
}

void loop() {
  digitalWrite(PIN, HIGH); // HIGH = 1
  M5.delay(1000);
  digitalWrite(PIN, LOW); // LOW = 0
  M5.delay(1000);
}